apiVersion: apps/v1
kind: Deployment
metadata:
  name: https-financetracker-nginx
  labels:
    app: financetracker-nginx
spec:
  replicas: 1
  selector:
    matchLabels:
      app: financetracker-nginx
  
  # Pod template
  template:
    metadata:
      labels:
        app: financetracker-nginx
    spec:
      hostNetwork: true
      containers:
        - name: financetracker-nginx
          image: registry.gitlab.com/devbauerflorian/financetracker/services/cdn:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8031
              hostPort: 8031
      imagePullSecrets:
        - name: gitlab-registry

---
apiVersion: v1
kind: Service
metadata:
  name: financetracker-nginx-service
spec:
  selector:
      app: financetracker-nginx
  ports:
    - protocol: TCP
      port: 8031
      targetPort: 8031
